#include <iostream>
#include <stdio.h>
#include <math.h>
using namespace std;

struct N
{
    int d;
    int u;
};

struct M
{
    int l;
    int r;
    int x;
};

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    struct N a[100000];
    struct M b[100000];
    for(int i=1;i<=n;i++)
        scanf("%d%d",&a[i].d,&a[i].u);
    for(int i=1;i<=m;i++)
        scanf("%d%d%d",&b[i].l,&b[i].r,&b[i].x);

    for(int i=1;i<=m;i++)
    {
        int br=0;
        for(int j=b[i].l;j<=b[i].r;j++)
        {
            if(a[j].d<=b[i].x&&a[j].u>=b[i].x)
                br++;
        }
        printf("%d\n",br);
    }

    return 0;
}